<?php

namespace App\Modules\ExternalUser\Application;

use App\Modules\ExternalUser\Domain\ExternalUserRepository;
use App\Modules\ExternalUser\Domain\IdExternalUser;

class ExternalUserDeleter
{

    private ExternalUserRepository $repository;

    public function __construct(ExternalUserRepository $repository)
    {
        $this->repository = $repository;
    }

    public function __invoke(IdExternalUser $id)
    {
        return $this->repository->delete($id);
    }
}
